Skip to content

Mark notifications as seen

Mark specific and multiple in-app (inbox) notifications as seen. Supports context-based filtering.

POST
/v2/subscribers/{subscriberId}/notifications/seen

Authorization

Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <novu_secret_key>".

In: header

Request Body

application/jsonRequired
notificationIdsarray<string>

Specific notification IDs to mark as seen

tagsarray<string>

Filter notifications by workflow tags

datastring

Filter notifications by data attributes (JSON string)

contextKeysarray<string>

Context keys for filtering notifications

Path Parameters

subscriberIdRequiredstring

The identifier of the subscriber

Header Parameters

idempotency-keystring

A header for idempotency purposes

Response Body

curl -X POST "https://api.novu.co/v2/subscribers/string/notifications/seen" \
  -H "idempotency-key: string" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "notificationIds": [
      "string"
    ],
    "tags": [
      "string"
    ],
    "data": "string",
    "contextKeys": [
      "string"
    ]
  }'
Empty

On this page

No Headings
Edit this page on GitHub